Main Page glibmm Namespaces Book

# Gio::EmblemedIcon Class Reference

Icons with Emblems. More...

Inheritance diagram for Gio::EmblemedIcon:

[legend]

List of all members.

## Public Member Functions
virtual | ~EmblemedIcon ()
GEmblemedIcon* | gobj ()
| Provides access to the underlying C GObject.
const GEmblemedIcon* | gobj () const
| Provides access to the underlying C GObject.
GEmblemedIcon* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr<Icon> | get_icon ()
| Gets the main icon for emblemed.
Glib::RefPtr<const Icon> | get_icon () const
| Gets the main icon for emblemed.
Glib::ListHandle< Glib::RefPtr <Emblem >> | get_emblems ()
| Gets the list of emblems for the icon.
void | add_emblem (const Glib::RefPtr<Emblem>& emblem)
| Adds emblem to the List of Emblem <!-- -->s.
## Static Public Member Functions
static Glib::RefPtr<EmblemedIcon> | create (const Glib::RefPtr<Icon>& icon, const Glib::RefPtr<Emblem>& emblem)
## Protected Member Functions
| EmblemedIcon (const Glib::RefPtr<Icon>& icon, const Glib::RefPtr<Emblem>& emblem)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gio::EmblemedIcon> | wrap (GEmblemedIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Icons with Emblems.

EmblemedIcon is an implementation of Icon that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via add_emblem().

Note that EmblemedIcon allows no control over the position of the emblems. See also Emblem for more information.

Since glibmm 2.20:

## Constructor & Destructor Documentation

virtual Gio::EmblemedIcon::~EmblemedIcon | ( |  | ) | `[virtual]`

Gio::EmblemedIcon::EmblemedIcon | ( | const Glib::RefPtr<Icon>& | icon,
|  | const Glib::RefPtr<Emblem>& | emblem |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

GEmblemedIcon* Gio::EmblemedIcon::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::Icon.

const GEmblemedIcon* Gio::EmblemedIcon::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::Icon.

GEmblemedIcon* Gio::EmblemedIcon::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::RefPtr<EmblemedIcon> Gio::EmblemedIcon::create | ( | const Glib::RefPtr<Icon>& | icon,
|  | const Glib::RefPtr<Emblem>& | emblem |
| ) |  |  | `[static]`

Glib::RefPtr<Icon> Gio::EmblemedIcon::get_icon | ( |  | ) |

Gets the main icon for emblemed.

Returns:
  A Icon that is owned by emblemed

Since glibmm 2.18:

Glib::RefPtr<const Icon> Gio::EmblemedIcon::get_icon | ( |  | ) | const

Gets the main icon for emblemed.

Returns:
  A Icon that is owned by emblemed

Since glibmm 2.18:

Glib::ListHandle<Glib::RefPtr<Emblem> > Gio::EmblemedIcon::get_emblems | ( |  | ) |

Gets the list of emblems for the icon.

Returns:
  A List of Emblem <!-- -->s that is owned by emblemed

Since glibmm 2.18:

void Gio::EmblemedIcon::add_emblem | ( | const Glib::RefPtr<Emblem>& | emblem | ) |

Adds emblem to the List of Emblem <!-- -->s.

Since glibmm 2.18:

Parameters:

  | emblem | A Emblem.

## Friends And Related Function Documentation

Glib::RefPtr<Gio::EmblemedIcon> wrap | ( | GEmblemedIcon * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- emblemedicon.h